## smiles-scripts 0.2.0+dfsg1

=== Makefile ===
# --*- Makefile -*--

# Run tests in a test directory (tests/ by default) and report if
# all tests pass.

# USAGE:
#     make clean
#     make distclean
#     make tests
#     make

#------------------------------------------------------------------------------
# Include local configuration files from this directory:

MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#------------------------------------------------------------------------------

JFLAGS = 

SRC_DIR = src
CLS_DIR = classes

SRC_FILES = ${wildcard ${SRC_DIR}/*.java}
PKG_FILES = $(shell find ${SRC_DIR}/net -name '*.java')

JFILES   = ${PKG_FILES} ${SRC_FILES}
CLSFILES = ${JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}

JARFILE = jars/smiles-scripts-${VERSION}.jar
JARLINK = jars/smiles-scripts.jar
TARGET  = ${JARFILE}

MAIN_JFILES  = ${wildcard ${SRC_DIR}/[a-z]*.java}
MAIN_CLASSES = ${MAIN_JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}

JUNIT_DIR     = tests/junit
JUNIT_SRC_DIR = ${JUNIT_DIR}/src
JUNIT_CLS_DIR = ${JUNIT_DIR}/classes
JUNIT_FILES  := $(shell find ${JUNIT_DIR} -name '*.java')
JUNIT_CLASSES = ${JUNIT_FILES:${JUNIT_SRC_DIR}/%.java=${JUNIT_CLS_DIR}/%.class}

CDK_PATHS = $(shell find jars/ -name \*.jar | tr "\n" ":")

BUILD_CLASSPATH = ${CLS_DIR}:${CDK_PATHS}${CLASSPATH}

CLASSPATH := ${JARFILE}${CLASSPATH}

export CLASSPATH

JUNIT_CLASSPATH = ${CLASSPATH}

PATH := bin:scripts:externals/mkdepend:${PATH}

export PATH

PERL5LIB := $(shell pwd)/lib/perl5:${PERL5LIB}

export PERL5LIB

#------------------------------------------------------------------------------

COMPILED = ${JARFILE} \
           ${PM_TO_BLIB_FILES} \
           ${BUILD_FILES}

#------------------------------------------------------------------------------

BIN_DIR  = .

TEST_DIR = tests/cases
OUTP_DIR = tests/outputs

INP_FILES  = ${wildcard ${TEST_DIR}/*.inp}
OPT_FILES  = ${wildcard ${TEST_DIR}/*.opt}
SH_FILES   = ${wildcard ${TEST_DIR}/*.sh}

INP_DIFFS = ${INP_FILES:${TEST_DIR}/%.inp=${OUTP_DIR}/%.diff}
INP_OUTS  = ${INP_FILES:${TEST_DIR}/%.inp=${OUTP_DIR}/%.out}

OPT_DIFFS = ${OPT_FILES:${TEST_DIR}/%.opt=${OUTP_DIR}/%.diff}
OPT_OUTS  = ${OPT_FILES:${TEST_DIR}/%.opt=${OUTP_DIR}/%.out}

SH_DIFFS = ${SH_FILES:${TEST_DIR}/%.sh=${OUTP_DIR}/%.diff}
SH_OUTS  = ${SH_FILES:${TEST_DIR}/%.sh=${OUTP_DIR}/%.out}

DIFF_FILES = $(sort ${INP_DIFFS} ${OPT_DIFFS} ${SH_DIFFS})
OUTP_FILES = $(sort ${INP_OUTS} ${OPT_OUTS} ${SH_OUTS})

.PHONY: all clean cleanAll distclean check test tests out outputs

all: ${COMPILED}

#------------------------------------------------------------------------------
# Include Makefiles with additional rules for this directory:

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

#------------------------------------------------------------------------------

${SRC_FILES:%.java=%.class}: ${PKG_FILES:%.java=%.class}

${JUNIT_CLS_DIR}/%.class: ${JUNIT_SRC_DIR}/%.java
	javac ${JFLAGS} -cp ${JUNIT_CLASSPATH} -d ${JUNIT_CLS_DIR} $<

${CLS_DIR}/%.class: ${SRC_DIR}/%.java
	javac ${JFLAGS} -cp ${BUILD_CLASSPATH} -d ${CLS_DIR} $<

${JARFILE}: ${CLSFILES}
	jar cfm $@ MANIFEST.txt -C ${CLS_DIR} .
	ln -sf $(@F) ${JARLINK}

SMILES = --smiles c1ccccc1

.PHONY: echo display

echo display:
	@echo ${COMPILED}
	@echo ${JUNIT_FILES}
	@echo ${JUNIT_CLASSES}

run: ${MAIN_CLASSES}
	for FILE in $^; do ( \
		CLASS=$$(basename $$FILE .class); \
		set -x; \
		java $${CLASS} ${SMILES} \
	) done

#------------------------------------------------------------------------------

DEPEND = .depend

include ${DEPEND}

${DEPEND}: ${JFILES} src/Version.java
	mkjavadepend ${SRC_DIR} ${CLS_DIR} > $@

#------------------------------------------------------------------------------

check test tests: ${DIFF_FILES}

out outputs: ${OUTP_FILES}

#------------------------------------------------------------------------------

define filter_output
perl -lpe 's,at [-+\.\/\w\d]+ line \d+\.?,at <script_name> line <line_no>.,'
endef

#------------------------------------------------------------------------------
# Rules to run script-specific tests:

${OUTP_DIR}/%.diff: ${TEST_DIR}/%.inp ${TEST_DIR}/%.opt ${OUTP_DIR}/%.out ${COMPILED}
	-@printf "%-50s " "$<:" ; \
	if [ ! -e ${TEST_DIR}/$*.chk ] || ${TEST_DIR}/$*.chk; then \
		test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
		$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		    $(shell grep -v '^#' ${word 2, $^}) \
	    	$< 2>&1 \
		| ${filter_output} \
		| diff ${OUTP_DIR}/$*.out - > $@ ; \
		if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi; \
	else \
		touch $@; \
	fi

${OUTP_DIR}/%.diff: ${TEST_DIR}/%.inp ${OUTP_DIR}/%.out ${COMPILED}
	-@printf "%-50s " "$<:" ; \
	if [ ! -e ${TEST_DIR}/$*.chk ] || ${TEST_DIR}/$*.chk; then \
		test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
		$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		    $< 2>&1 \
		| ${filter_output} \
		| diff ${OUTP_DIR}/$*.out - > $@ ; \
		if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi; \
	else \
		touch $@; \
	fi

${OUTP_DIR}/%.diff: ${TEST_DIR}/%.opt ${OUTP_DIR}/%.out ${COMPILED}
	-@printf "%-50s " "$<:" ; \
	if [ ! -e ${TEST_DIR}/$*.chk ] || ${TEST_DIR}/$*.chk; then \
		test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
		$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		    $(shell grep -v '^#' $<) \
		2>&1 \
		| ${filter_output} \
		| diff ${OUTP_DIR}/$*.out - > $@ ; \
		if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi; \
	else \
		touch $@; \
	fi

${OUTP_DIR}/%.diff: ${TEST_DIR}/%.sh ${OUTP_DIR}/%.out ${COMPILED}
	-@printf "%-50s " "$<:" ; \
	if [ ! -e ${TEST_DIR}/$*.chk ] || ${TEST_DIR}/$*.chk; then \
		test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
		$< 2>&1 \
		| ${filter_output} \
		| diff ${OUTP_DIR}/$*.out - > $@ ; \
		if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi; \
	else \
		touch $@; \
	fi

# Rules to generate sample test outputs:

${OUTP_DIR}/%.out: ${TEST_DIR}/%.inp ${TEST_DIR}/%.opt ${COMPILED}
	-@test -f $@ || echo "$@:"
	-@test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
	test -f $@ || \
	$(shell echo $* | sed -e 's/_[0-9]*$$//') \
	    $(shell grep -v '^#' ${word 2, $^}) \
	    $< \
	2>&1 \
	| ${filter_output} \
	| tee $@
	-@touch $@

${OUTP_DIR}/%.out: ${TEST_DIR}/%.inp ${COMPILED}
	-@test -f $@ || echo "$@:"
	-@test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
	test -f $@ || \
	$(shell echo $* | sed -e 's/_[0-9]*$$//') \
	    $< \
	2>&1 \
	| ${filter_output} \
	| tee $@
	-@touch $@

${OUTP_DIR}/%.out: ${TEST_DIR}/%.opt ${COMPILED}
	-@test -f $@ || echo "$@:"
	-@test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
	test -f $@ || \
	$(shell echo $* | sed -e 's/_[0-9]*$$//') \
	    $(shell grep -v '^#' $<) \
	2>&1 \
	| ${filter_output} \
	| tee $@
	-@touch $@

${OUTP_DIR}/%.out: ${TEST_DIR}/%.sh ${COMPILED}
	-@test -f $@ || echo "$@:"
	-@test -f $(dir $<)/$*.env && . $(dir $<)/$*.env; \
	test -f $@ || \
	$< 2>&1 \
	| ${filter_output} \
	| tee $@
	-@touch $@

#------------------------------------------------------------------------------
# Rules to run JUnit tests:

tests: junit-tests

.PHONY: junit-tests

JUNIT_LOG_DIR = ${OUTP_DIR}/junit
JUNIT_LOGS = ${JUNIT_CLASSES:${JUNIT_CLS_DIR}/%.class=${JUNIT_LOG_DIR}/%.log}

junit-tests: ${JUNIT_LOGS}

.PRECIOUS: ${JUNIT_CLS_DIR}/%.class

${JUNIT_LOG_DIR}/%.log: ${JUNIT_CLS_DIR}/%.class
	@mkdir -p $(dir $@)
	@CLASS=$$(echo $< | sed 's:^tests/junit/classes/::; s/\.class$$//; s:/:.:g'); \
	echo -n $$CLASS":\t"; \
	java -cp ${JUNIT_CLASSPATH}:${JUNIT_CLS_DIR} org.junit.runner.JUnitCore $${CLASS} \
	> $@ 2>&1; \
	if [ $$? -eq 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

#------------------------------------------------------------------------------

.PHONY: listdiff

listdiff:
	@-( \
	test -d "${OUTP_DIR}" && \
	find "${OUTP_DIR}" -name '*.diff' -size +0 \
	) | sort -u

#------------------------------------------------------------------------------

clean:
	rm -f ${DIFF_FILES}
	rm -f ${JUNIT_LOGS}
	rm -f  externals/*/Build externals/*/MYMETA.* externals/[A-Z]*/Makefile externals/*/pm_to_blib
	rm -rf externals/*/_build

cleanAll distclean: clean
	rm -f ${CLSFILES}
	rm -f ${JARFILE} ${JARLINK}
	rm -f ${JUNIT_CLASSES}
	rm -f .depend
	rm -rf ${JUNIT_CLS_DIR}/* ${CLS_DIR}/* ${JUNIT_LOG_DIR}/*
	rm -rf externals/*/blib

=== debian/changelog ===
smiles-scripts (0.2.0+dfsg1-5) unstable; urgency=medium

  * Add newest reference.
  * Adjust to changes in Chemistry::OpenSMILES (Closes: #1042313)

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Jul 2023 01:42:52 -0400

smiles-scripts (0.2.0+dfsg1-4) unstable; urgency=medium

  * Skip test which will fail with newer libchemistry-opensmiles-perl.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Feb 2023 08:51:12 -0500

smiles-scripts (0.2.0+dfsg1-3) unstable; urgency=medium

  * Skip autopkgtest which fail with older libchemistry-opensmiles-perl.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Jan 2023 07:01:44 -0500

smiles-scripts (0.2.0+dfsg1-2) unstable; urgency=medium

  * Adjust to changes in Chemistry::OpenSMILES v0.8.4 (Closes: #1026325)
  * Tests depend on liblog4j1.2-java.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 09 Jan 2023 03:30:24 -0500

smiles-scripts (0.2.0+dfsg1-1) unstable; urgency=medium

  * Exclude files moved to Chemistry::OpenSMILES distribution.
  * Bump copyright years.
  * Add signing-key.asc, check upstream OpenPGP signature.
  * Add debian/upstream/metadata.
  * Add patch to adjust to external Chemistry::OpenSMILES.

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Oct 2022 02:26:48 -0400

smiles-scripts (0.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #969375)

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Aug 2020 05:34:49 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	mkdir jars
	grep '^ ' MANIFEST.txt | sed 's/[\r ]//g' | xargs -i ln -s {} jars
	dh_auto_build -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES=

override_dh_auto_test:
	rm tests/cases/cdkcif2smiles_002.*
	rm tests/cases/cdkcif2smiles_003.*
	rm tests/cases/cdkcif2xyz_002.*
	rm tests/cases/cdkcif2xyz_003.*
	rm tests/cases/cdkdepict_001.*
	rm tests/cases/cdkdepict_004.*
	rm tests/cases/cdkdepict_005.*
	rm tests/cases/cdkdepict_006.*
	rm tests/cases/cdkdepict_008.*
	rm tests/cases/cdkdepict_009.*
	rm tests/cases/cdkdepict_010.*
	rm tests/cases/cdkdepict_022.*
	rm tests/cases/cdkdepict_023.*
	rm tests/cases/cdkdepict-cgi_001.*
	rm tests/cases/cdksdf2smiles_005.*
	rm tests/cases/cdksdf2smiles_007.*
	rm tests/cases/cdksdf2smiles_009.*
	rm tests/cases/cdksdf2smiles_010.*
	rm tests/cases/sdf-to-smi_002.*
	dh_auto_test -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES=
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {}
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

override_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1
	dh_installman

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg1,dversionmangle=auto,pgpmode=auto" \
 https://www.crystallography.net/cod/archives/2022/software/smiles-scripts/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## smiles-scripts 0.2.0+svn754+branch+system+deps

=== debian/changelog ===
smiles-scripts (0.2.0+svn754+branch+system+deps-1) unstable; urgency=medium

  * Watch a development branch where system dependencies are used
    (Closes: #1088896)
  * Cleanup Files-Excluded.
  * Drop adjust-to-external-Chemistry-OpenSMILES.patch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 Dec 2024 12:00:08 -0500

smiles-scripts (0.2.0+dfsg1-6) unstable; urgency=medium

  * Ignore incompatible tests (Closes: #1072693)

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Jul 2024 04:16:35 -0400

=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none,repack,repacksuffix=+branch+system+deps,dversionmangle=s/\+branch\+system\+deps//,uversionmangle=s/^0\.0~/0.2.0+/" \
 svn://www.crystallography.net/smiles-scripts/branches/use-system-dependencies HEAD

## smiles-scripts 0.3.0%2Bsvn878%2Bbranch%2Bsystem%2Bdeps

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,18 @@
 JFILES   = ${PKG_FILES} ${SRC_FILES}
 CLSFILES = ${JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}
 
+MANIFEST = MANIFEST.txt
+
 JARFILE = jars/smiles-scripts-${VERSION}.jar
 JARLINK = jars/smiles-scripts.jar
 TARGET  = ${JARFILE}
 
 MAIN_JFILES  = ${wildcard ${SRC_DIR}/[a-z]*.java}
 MAIN_CLASSES = ${MAIN_JFILES:${SRC_DIR}/%.java=${CLS_DIR}/%.class}
+
+# From https://stackoverflow.com/questions/2372056/how-to-turn-off-logging-from-slf4j:
+# if needed, 'nop' loads slf4j-nop.jar which is a no-operation logger
+SLF4J_LOGGER = simple
 
 JUNIT_DIR     = tests/junit
 JUNIT_SRC_DIR = ${JUNIT_DIR}/src
@@ -44,17 +50,13 @@
 JUNIT_FILES  := $(shell find ${JUNIT_DIR} -name '*.java')
 JUNIT_CLASSES = ${JUNIT_FILES:${JUNIT_SRC_DIR}/%.java=${JUNIT_CLS_DIR}/%.class}
 
-CDK_PATHS = $(shell find jars/ -name \*.jar | tr "\n" ":")
-
-BUILD_CLASSPATH = ${CLS_DIR}:${CDK_PATHS}${CLASSPATH}
-
 CLASSPATH := ${JARFILE}${CLASSPATH}
 
 export CLASSPATH
 
-JUNIT_CLASSPATH = ${CLASSPATH}
-
-PATH := bin:scripts:externals/mkdepend:${PATH}
+JUNIT_CLASSPATH = ${CLASSPATH}:/usr/share/java/junit4.jar
+
+PATH := bin:scripts:${PATH}
 
 export PATH
 
@@ -112,10 +114,10 @@
 	javac ${JFLAGS} -cp ${JUNIT_CLASSPATH} -d ${JUNIT_CLS_DIR} $<
 
 ${CLS_DIR}/%.class: ${SRC_DIR}/%.java
-	javac ${JFLAGS} -cp ${BUILD_CLASSPATH} -d ${CLS_DIR} $<
-
-${JARFILE}: ${CLSFILES}
-	jar cfm $@ MANIFEST.txt -C ${CLS_DIR} .
+	javac ${JFLAGS} -cp ${CLS_DIR}:${CLASSPATH}:$$(grep '^ ' MANIFEST.txt | xargs | tr ' ' :) -d ${CLS_DIR} $<
+
+${JARFILE}: ${MANIFEST} ${CLSFILES}
+	jar cfm $@ ${MANIFEST} -C ${CLS_DIR} .
 	ln -sf $(@F) ${JARLINK}
 
 SMILES = --smiles c1ccccc1
@@ -133,6 +135,28 @@
 		set -x; \
 		java $${CLASS} ${SMILES} \
 	) done
+
+#------------------------------------------------------------------------------
+
+${MANIFEST}:
+	echo 'Manifest-Version: 1.0\r' > $@
+	echo 'Created-By: 1.8.0_151 (Oracle Corporation)\r' >> $@
+	echo 'Class-Path: \r' >> $@
+	find /usr/share/java -name 'cdk-*.jar' | grep -P 'cdk-[^-]+\.jar' | sort | xargs -i echo -e ' '{}' \r' >> $@
+	find /usr/share/java -name 'freehep-graphicsio-*.jar' | grep -P 'freehep-graphicsio-[^-0-9]+\.jar' | sort | xargs -i echo -e ' '{}' \r' >> $@
+	echo ' /usr/share/java/beam-core.jar \r' >> $@
+	echo ' /usr/share/java/soptions.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphics2d.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphicsbase.jar \r' >> $@
+	echo ' /usr/share/java/freehep-graphicsio.jar \r' >> $@
+	echo ' /usr/share/java/guava.jar \r' >> $@
+	echo ' /usr/share/java/jna.jar \r' >> $@
+	echo ' /usr/share/java/jna-inchi-api.jar \r' >> $@
+	echo ' /usr/share/java/log4j-1.2.jar \r' >> $@
+	echo ' /usr/share/java/slf4j-api.jar \r' >> $@
+	echo ' /usr/share/java/slf4j-$(SLF4J_LOGGER).jar \r' >> $@
+	echo ' /usr/share/java/soptions.jar \r' >> $@
+	echo ' /usr/share/java/vecmath.jar \r' >> $@
 
 #------------------------------------------------------------------------------
 
@@ -293,13 +317,11 @@
 clean:
 	rm -f ${DIFF_FILES}
 	rm -f ${JUNIT_LOGS}
-	rm -f  externals/*/Build externals/*/MYMETA.* externals/[A-Z]*/Makefile externals/*/pm_to_blib
-	rm -rf externals/*/_build
 
 cleanAll distclean: clean
 	rm -f ${CLSFILES}
+	rm -f ${MANIFEST}
 	rm -f ${JARFILE} ${JARLINK}
 	rm -f ${JUNIT_CLASSES}
 	rm -f .depend
 	rm -rf ${JUNIT_CLS_DIR}/* ${CLS_DIR}/* ${JUNIT_LOG_DIR}/*
-	rm -rf externals/*/blib

=== debian/changelog ===
smiles-scripts (0.3.0+svn878+branch+system+deps-2) unstable; urgency=medium

  * Backport an upstream fix to mitigate a usability bug.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Mar 2025 04:51:31 -0400

smiles-scripts (0.3.0+svn878+branch+system+deps-1) unstable; urgency=medium

  * New upstream release.
  * Skip failing tests (Closes: #1093359)

 -- Andrius Merkys <merkys@debian.org>  Wed, 05 Mar 2025 03:46:18 -0500

=== debian/control ===
Source: smiles-scripts
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 help2man,
 libalgorithm-combinatorics-perl <!nocheck>,
 libcdk-java,
 libcgi-pm-perl <!nocheck>,
 libchemistry-file-mdlmol-perl <!nocheck>,
 libchemistry-mol-perl <!nocheck>,
 libchemistry-opensmiles-perl <!nocheck>,
 libclone-perl <!nocheck>,
 libfreehep-graphics2d-java <!nocheck>,
 libfreehep-graphicsbase-java <!nocheck>,
 libfreehep-graphicsio-java <!nocheck>,
 libfreehep-graphicsio-pdf-java <!nocheck>,
 libfreehep-graphicsio-ps-java <!nocheck>,
 libfreehep-graphicsio-svg-java <!nocheck>,
 libgetopt-long-descriptive-perl,
 libgraph-nauty-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblog4j1.2-java <!nocheck>,
 libmath-matrixreal-perl <!nocheck>,
 libopsin-java <!nocheck>,
 libsoptions-java,
 liburl-encode-perl <!nocheck>,
 libvecmath-java,
 libxml-libxml-perl <!nocheck>,
 mkdepend,
 subversion,
Standards-Version: 4.6.2
Homepage: https://projects.ibt.lt/repositories/projects/smiles-scripts
Vcs-Browser: https://salsa.debian.org/debichem-team/smiles-scripts
Vcs-Git: https://salsa.debian.org/debichem-team/smiles-scripts.git
Rules-Requires-Root: no

Package: libsmiles-scripts-java
Architecture: all
Depends:
 libbeam-java,
 libcdk-java,
 libfreehep-graphics2d-java,
 libfreehep-graphicsbase-java,
 libfreehep-graphicsio-java,
 libfreehep-graphicsio-pdf-java,
 libfreehep-graphicsio-ps-java,
 libfreehep-graphicsio-svg-java,
 libguava-java,
 libsoptions-java,
 ${misc:Depends},
Description: command line tools to handle SMILES descriptors - Java libraries
 Package contains dependencies (Java libraries) for smiles-scripts.

Package: libsmiles-scripts-perl
Architecture: all
Depends:
 libchemistry-opensmiles-perl,
 libgraph-perl,
 libmath-matrixreal-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: command line tools to handle SMILES descriptors - Perl libraries
 Package contains dependencies (Perl libraries) for smiles-scripts.

Package: smiles-scripts
Architecture: all
Depends:
 libalgorithm-combinatorics-perl,
 libchemistry-file-mdlmol-perl,
 libchemistry-mol-perl,
 libchemistry-opensmiles-perl,
 libclone-perl,
 libgetopt-long-descriptive-perl,
 libgraph-nauty-perl,
 libsmiles-scripts-java,
 libsmiles-scripts-perl,
 libxml-libxml-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: command line tools to handle SMILES descriptors
 Package provides command line tools to work with Simplified Molecular-Input
 Line-Entry System (SMILES) descriptors. Package contains command line interface
 scripts for Chemistry Development Kit (CDK), as well as a syntax checker for
 SMILES.

## smiles-scripts 0.3.0+svn878+branch+system+deps

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_build:
	$(MAKE) MANIFEST.txt SLF4J_LOGGER=nop
	echo ' /usr/share/java/smiles-scripts.jar \r' >> MANIFEST.txt

override_dh_auto_test:
	dh_auto_test -- tests
	cat debian/failing-tests | xargs rm
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {}
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

execute_before_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1

=== debian/tests/control ===
Tests: upstream
Depends:
 libcgi-pm-perl,
 libipc-run-perl,
 libopsin-java,
 liburl-encode-perl,
 mkdepend,
 moreutils,
 @,
Restrictions:
 allow-stderr,
 rw-build-tree,

=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none,repack,repacksuffix=+branch+system+deps,dversionmangle=s/\+branch\+system\+deps//,uversionmangle=s/^0\.0~/0.3.0+/" \
 svn://www.crystallography.net/smiles-scripts/branches/use-system-dependencies HEAD

## smiles-scripts 0.4.0+dfsg

=== debian/changelog ===
smiles-scripts (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1106828)
  * Review patches.
  * Use debian/classpath instead of patched MANIFEST.txt.
  * Update the list of silenced tests.

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Jan 2026 05:11:23 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  debhelper-compat (= 13),
  default-jdk,
  help2man,
- libalgorithm-combinatorics-perl <!nocheck>,
  libcdk-java,
  libcgi-pm-perl <!nocheck>,
  libchemistry-file-mdlmol-perl <!nocheck>,
@@ -22,14 +21,15 @@
  libfreehep-graphicsio-ps-java <!nocheck>,
  libfreehep-graphicsio-svg-java <!nocheck>,
  libgetopt-long-descriptive-perl,
+ libgraph-moreutils-perl <!nocheck>,
  libgraph-nauty-perl <!nocheck>,
  libipc-run-perl <!nocheck>,
+ libjna-inchi-java,
  liblog4j1.2-java <!nocheck>,
  libmath-matrixreal-perl <!nocheck>,
  libopsin-java <!nocheck>,
  libsoptions-java,
  liburl-encode-perl <!nocheck>,
- libvecmath-java,
  libxml-libxml-perl <!nocheck>,
  mkdepend,
  subversion,
@@ -51,6 +51,7 @@
  libfreehep-graphicsio-ps-java,
  libfreehep-graphicsio-svg-java,
  libguava-java,
+ libopsin-java,
  libsoptions-java,
  ${misc:Depends},
 Description: command line tools to handle SMILES descriptors - Java libraries
@@ -60,6 +61,7 @@
 Architecture: all
 Depends:
  libchemistry-opensmiles-perl,
+ libgraph-moreutils-perl,
  libgraph-perl,
  libmath-matrixreal-perl,
  ${misc:Depends},
@@ -70,12 +72,12 @@
 Package: smiles-scripts
 Architecture: all
 Depends:
- libalgorithm-combinatorics-perl,
  libchemistry-file-mdlmol-perl,
  libchemistry-mol-perl,
  libchemistry-opensmiles-perl,
  libclone-perl,
  libgetopt-long-descriptive-perl,
+ libgraph-moreutils-perl,
  libgraph-nauty-perl,
  libsmiles-scripts-java,
  libsmiles-scripts-perl,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_build:
	cp MANIFEST.txt MANIFEST.txt.bak
	head -n 2 MANIFEST.txt.bak > MANIFEST.txt
	echo "Class-Path: \r" >> MANIFEST.txt
	awk '{ print " " $$_ " \r" }' debian/classpath >> MANIFEST.txt
	mkdir jars
	grep '^ ' MANIFEST.txt | sed 's/[\r ]//g' | xargs -i ln -s {} jars

override_dh_auto_build:
	dh_auto_build -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES= MAKEFILE_PL_FILES= BUILD_PL_FILES=

override_dh_auto_test:
	cat debian/failing-tests | xargs --no-run-if-empty rm -f
	dh_auto_test -- MODULE_BUILD_PARSE_YAPP= CHEMISTRY_OPENSMILES= MAKEFILE_PL_FILES= BUILD_PL_FILES=
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty -i echo FAILED: {} | sort
	find tests/outputs -name '*.diff' -a -size +0 | xargs --no-run-if-empty false # Detect test failures

# 'make install' is not required
override_dh_auto_install:

override_dh_installman:
	help2man bin/cdkcif2sdf    --name 'convert CIF to SDF'        --no-info > cdkcif2sdf.1
	help2man bin/cdkcif2smiles --name 'convert CIF to SMILES'     --no-info > cdkcif2smiles.1
	help2man bin/cdkcif2xyz    --name 'convert CIF to XYZ'        --no-info > cdkcif2xyz.1
	help2man bin/cdkdepict     --name 'draw SVG image for SMILES' --no-info > cdkdepict.1
	help2man bin/cdkrecharge   --name 'adjust charges in SMILES'  --no-info > cdkrecharge.1
	help2man bin/cdksdf2inchi  --name 'convert SDF to InChI'      --no-info > cdksdf2inchi.1
	help2man bin/cdksdf2smiles --name 'convert SDF to SMILES'     --no-info > cdksdf2smiles.1
	PERL5LIB=lib/perl5 help2man scripts/cml-to-smi \
		--name 'convert CML to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > cml-to-smi.1
	PERL5LIB=lib/perl5 help2man scripts/smi_canonicalise \
		--name 'canonicalise SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_canonicalise.1
	PERL5LIB=lib/perl5 help2man scripts/smi_check \
		--name 'warn about unusual features in SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_check.1
	PERL5LIB=lib/perl5 help2man scripts/smi_check_racemate \
		--name 'output chirality status for SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_check_racemate.1
	PERL5LIB=lib/perl5 help2man scripts/smi_chemical_formula \
		--name 'compute chemical formula from SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_chemical_formula.1
	PERL5LIB=lib/perl5 help2man scripts/smi_isomorphism \
		--name 'detect isomorphism between SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > smi_isomorphism.1
	PERL5LIB=lib/perl5 help2man scripts/sdf-to-smi \
		--name 'convert SDF to SMILES' \
		--version-string "$(DEB_VERSION_UPSTREAM)" --no-info > sdf-to-smi.1
	dh_installman

execute_before_dh_auto_clean:
	test -e MANIFEST.txt.bak && mv MANIFEST.txt.bak MANIFEST.txt || true

execute_before_dh_clean:
	rm -rf jars

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,pgpmode=auto" \
 https://www.crystallography.net/cod/archives/2026/software/smiles-scripts/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
